Subject: Re: `git stash pop` UX Problem

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Feb 2014 14:20:11 -0800

Stephen Leake <[email-masked]> writes:

>> One _could_ argue that stashed changes are what could be reflected
>> to the working tree and form the source of the latter, but my gut
>> feeling is that it is a rather weak argument.  At that point you are
>> talking about what you could potentially change in the working tree,
>
> No, I saved things in the stash on purpose. For example, I had changes
> that were not ready to commit, but I wanted to do a merge from upstream.

I often save things by running "git diff >P.diff" on purpose.
Should "git status" read these patches and tell me what paths I
could change in the working tree by applying it?  Where does it end?

> There are workflows where the stash is not important; provide an option
> to 'git status' that means "ignore stash". 

How is that different to tell those who want to know what are in the
stash to type "git stash list" when they want to learn that
information?